# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit qt4-r2

DESCRIPTION="A cross-platform editor and graphical frontend for Csound."
HOMEPAGE="http://qutecsound.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}-src.tar.gz"

LICENSE="GPLv2"
SLOT="0"
KEYWORDS="~amd64 ~i386 ~arm"
IUSE=""

DEPEND="media-sound/csound x11-libs/qt-gui:4"
RDEPEND="${DEPEND}"

src_prepare() {
	qt4-r2_src_prepare
}

src_configure() {
	eqmake4 qcs.pro
}

src_install() {
	# make install doesn't work, so install the app manually
	mkdir -p "${ED}/usr/bin"
	install -m 755 "${S}/bin/qutecsound-f" "${ED}/usr/bin/qutecsound"
}
