# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

PYTHON_COMPAT=( python2_7 )
inherit eutils autotools

DESCRIPTION="GTK GUI for ConnMan."
HOMEPAGE="https://github.com/jgke/connman-gtk"
SRC_URI="https://github.com/jgke/connman-gtk/releases/download/v1.0/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="net-misc/connman[openconnect?]
	dev-util/intltool
	dev-libs/glib
	>=x11-libs/gtk+-3.14"
RDEPEND="${DEPEND}"

IUSE="openconnect"

src_configure() {
	econf \
		$(use_with openconnect openconnect yes)
}
