# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

PYTHON_COMPAT=( python2_7 )
inherit eutils autotools git-2

DESCRIPTION="GTK GUI for ConnMan."
HOMEPAGE="https://github.com/jgke/connman-gtk"

EGIT_PROJECT="connman-gtk"
EGIT_REPO_URI="https://github.com/jgke/connman-gtk.git"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="net-misc/connman[openconnect?]
	dev-util/intltool
	dev-libs/glib
	>=x11-libs/gtk+-3.14"
RDEPEND="${DEPEND}"

IUSE="+status-icon openconnect"

src_prepare() {
	eautoreconf
}

src_configure() {
	econf \
		$(use_enable status-icon status-icon yes) \
		$(use_with openconnect openconnect yes)
}
